Loading...
Searching...
No Matches
ITrcRawFrameIn Class Referenceabstract
OpenCSD Library : Interfaces

Interface to monitor the raw frame decode progress.. More...

`#include <trc_data_rawframe_in_i.h>`

## Public Member Functions

| ITrcRawFrameIn ()
virtual | ~ITrcRawFrameIn ()
virtual ocsd_err_t | TraceRawFrameIn (const ocsd_datapath_op_t op, const ocsd_trc_index_t index, const ocsd_rawframe_elem_t frame_element, const int dataBlockSize, const uint8_t *pDataBlock, const uint8_t traceID)=0

## Detailed Description

Interface to monitor the raw frame decode progress..

This interface allows a program to monitor the contents of the CoreSight frames passing through the frame deformatter.

Definition at line 53 of file trc_data_rawframe_in_i.h.

## Constructor & Destructor Documentation

## ITrcRawFrameIn()

ITrcRawFrameIn::ITrcRawFrameIn | ( |  | ) |

inline

Definition at line 55 of file trc_data_rawframe_in_i.h.

## ~ITrcRawFrameIn()

virtual ITrcRawFrameIn::~ITrcRawFrameIn | ( |  | ) |

inline virtual

Default constructor.

Definition at line 56 of file trc_data_rawframe_in_i.h.

## Member Function Documentation

## TraceRawFrameIn()

virtual ocsd_err_t ITrcRawFrameIn::TraceRawFrameIn | ( | const ocsd_datapath_op_t | op,
|  | const ocsd_trc_index_t | index,
|  | const ocsd_rawframe_elem_t | frame_element,
|  | const int | dataBlockSize,
|  | const uint8_t * | pDataBlock,
|  | const uint8_t | traceID
| ) |  |

pure virtual

Default destructor.

Interface to monitor CoreSight frame data. Output as blocks of data.

Parameters

  op | : Data path operation.
  index | : Byte index of start of pDataBlock data as offset from start of captured data. May be zero for none-data operation
  frame_element | : Type of frame element being output.
  dataBlockSize | : size of frame element.
  *pDataBlock | : pointer to frame data.
  traceID | : Trace ID when element type ID data.

Returns
  ocsd_err_t : Standard library erroc code. Monitor only, not on data path.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/interfaces/trc_data_rawframe_in_i.h